package com.ruoyi.orderManagement.BasicData.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.orderManagement.BasicData.domain.FleetDriverMsg;

import java.util.List;
import java.util.Map;

/**
 * 【司机】Service接口
 * 
 * @author ruoyi
 * @date 2021-03-04
 */
public interface IFleetDriverMsgService 
{
    /**
     * 查询【司机】
     * 
     * @param id 【司机】ID
     * @return 【司机】
     */
    public FleetDriverMsg selectFleetDriverMsgById(Long id);

    /**
     * 查询【司机】列表
     * 
     * @param fleetDriverMsg 【司机】
     * @return 【司机】集合
     */
    public List<FleetDriverMsg> selectFleetDriverMsgList(FleetDriverMsg fleetDriverMsg);
    public List<Map<String, Object>> selectFleetDriverMsgListMap(FleetDriverMsg fleetDriverMsg);
    /**
     * 新增【司机】
     * 
     * @param fleetDriverMsg 【司机】
     * @return 结果
     */
    public AjaxResult insertFleetDriverMsg(FleetDriverMsg fleetDriverMsg);

    /**
     * 修改【司机】
     * 
     * @param fleetDriverMsg 【司机】
     * @return 结果
     */
    public int updateFleetDriverMsg(FleetDriverMsg fleetDriverMsg);

    /**
     * 批量删除【司机】
     * 
     * @param ids 需要删除的【司机】ID
     * @return 结果
     */
    public int deleteFleetDriverMsgByIds(Long[] ids);

    /**
     * 删除【司机】信息
     * 
     * @param id 【司机】ID
     * @return 结果
     */
    public int deleteFleetDriverMsgById(Long id);
}
